IO::Socket::SSL problems

Moderator: crythias

Rsardinha
OTRS newbie
Posts: 17
Joined: 10 Feb 2017, 06:16
OTRS Version?: Otrs-5
Real Name: Rangel sardinha
Company: Ezvoice telecom

IO::Socket::SSL problems

Postby Rsardinha » 04 Dec 2017, 17:33

Hello,

I've tried to upgrade my perl trought CPAN shell an it not worked well
Now i've stop to receive mail from my default mailaccount, checking it into the logs i could see:

[Mon Dec 04 13:18:07 2017] [error] [Mon Dec 4 13:18:06 2017] -e: To use SSL please install IO::Socket::SSL with version>=2.007 at /usr/local/share/perl/5.10.1/Net/POP3.pm line 70.\n

looking in /opt/otrs/bin/otrs.CheckModules i could check
o Mail::IMAPClient.................ok (v3.39)
o IO::Socket::SSL................FAILED! Not all prerequisites for this module correctly installed.

I am using Debian Squeezy.
The libio-socket-ssl-perl is installed and if i try to install by cpan shell

cpan[1]> install IO::Socket::SSL
CPAN: Storable loaded ok (v2.20)
Going to read '/root/.cpan/Metadata'
Database was generated on Mon, 04 Dec 2017 12:41:02 GMT
CPAN: YAML loaded ok (v0.71)
Going to read 85 yaml files from /root/.cpan/build/
CPAN: Time::HiRes loaded ok (v1.9746)
................................................................DONE
Restored the state of 1 (in 1.6384 secs)
IO::Socket::SSL is up to date (2.052).

I dont have any ideas or workarounds at all. Anyone have an idea?

Return to “General”

Who is online

Users browsing this forum: No registered users and 6 guests